Package: org.codehaus.groovy.runtime

## [Java] Class InvokerInvocationException

- org.codehaus.groovy.runtime.InvokerInvocationException

- An exception thrown if a method is called and an exception occurred

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvokerInvocationException (InvocationTargetException e)`
    `InvokerInvocationException (Throwable cause)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvokerInvocationException(InvocationTargetException e)

    - #### public InvokerInvocationException(Throwable cause)

  - ### Method Detail

    - #### public String getMessage()